<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Title>v05 - Monsters and Mayhem</Title>
  <Series>DuckTales</Series>
  <Web>https://www.comixology.com/DuckTales-Monsters-and-Mayhem/digital-comic/760159</Web>
  <Summary>It's time for more stories featuring your favorite DuckTales characters! First up, Scrooge and the kids meet Huge McDuck, another billionaire who claims to be a long-lost relative! But can he be trusted? Then, Gladstone Gander takes Donald’s place on Scrooge’s next adventure! Will he prove to be a good luck charm, or even more accident-prone than Donald? After that, Scrooge, Donald, Huey, Dewey, Louie, and Webby deal with the “Countdown to Termination” and hit the ice in “The Mighty Ducks of Duckburg!” Finally, there are monsters up to no good in a two-part tale of scary times in Duckburg! Join our friends as they realize that “The Monsters Are Due at Duck Manor!” Collects DuckTales #12-14.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB760159]</Notes>
  <Publisher>IDW</Publisher>
  <Imprint>Disney</Imprint>
  <Genre>Children's, Movies &amp; TV, Anthropomorphic</Genre>
  <PageCount>75</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
